macros and textile at pdf export in custom field
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

Redmine in version 3.4.6 don't fully support textile and macros in pdf export/print when custom fields be used formatted text.

I did some changes in the issue_pdf_helper.rb to do that.

History

#1 - 2018-11-25 01:04 - Dirk Rudolph

- File issues_pdf_helper-redmine-3.4.6.rb.patch added

#2 - 2018-11-25 01:09 - Dirk Rudolph

- File issues_pdf_helper-redmine-3.4.6_2sec_version.rb added

little optimizations

#3 - 2018-11-25 05:30 - Go MAEDA

- File table-breaks-layout.pdf added

Thank you for the patch. But I noticed the following points:

The values should be textilized only when the text_formatting attribute for the custom field is true. The patch always textilizes the value

Inserting a table breaks the layout. Please see the attached pdf (table-breaks-layout.pdf). Blank lines are inserted after the table

#4 - 2018-11-25 10:30 - Dirk Rudolph

Go MAEDA wrote:

The values should be textilized only when the text_formatting attribute for the custom field is true. The patch always textilizes the value

 No, the used function show_value() seems to check that. I tried out.

Inserting a table breaks the layout. Please see the attached pdf (table-breaks-layout.pdf). Blank lines are inserted after the table

 Yes is true. The table cell becomes bigger because the height is calculated over html code in the backround. I think it's better to have a big cell and

the content fits into, instead a cell that's to small. But I will trie to optimize.

#5 - 2018-11-25 14:21 - Dirk Rudolph

- File issues_pdf_helper.rb-redmine-3.4.6_3rd.patch added

Some optimizations for the layout.

For the cell height calculation, some html-strings will remove.

#6 - 2018-11-25 16:40 - Dirk Rudolph

- File issues_pdf_helper.rb-redmine-3.4.6_4th.patch added

Further optimizations for issues list ...

#7 - 2019-04-29 13:22 - Go MAEDA

- Target version set to Candidate for next major release
Files

issues_pdf_helper-redmine-3.4.6.rb.patch 4.71 KB 2018-11-24 Dirk Rudolph

issues_pdf_helper-redmine-3.4.6.rb.patch 4.71 KB 2018-11-25 Dirk Rudolph

issues_pdf_helper-redmine-3.4.6_2sec_version.rb 22.9 KB 2018-11-25 Dirk Rudolph

table-breaks-layout.pdf 95.5 KB 2018-11-25 Go MAEDA

issues_pdf_helper.rb-redmine-3.4.6_3rd.patch 5.41 KB 2018-11-25 Dirk Rudolph

issues_pdf_helper.rb-redmine-3.4.6_4th.patch 5.68 KB 2018-11-25 Dirk Rudolph
